"use strict";
const common_vendor = require("../../../../common/vendor.js");
require("../model.js");
require("../../../../common/libraries/request.js");
require("../../../../common/store/useWatermarkStore.js");
require("../../../../common/store/useWeAppAuthStore.js");
require("../../../../common/store/useWorkStore.js");
require("../../../../gen/Apis.js");
require("../../../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_up_popup2 = common_vendor.resolveComponent("up-popup");
  (_easycom_hs_button2 + _easycom_up_popup2)();
}
const _easycom_hs_button = () => "../../../../components/hs-button/hs-button.js";
const _easycom_up_popup = () => "../../../../node-modules/uview-plus/components/u-popup/u-popup.js";
if (!Math) {
  (_easycom_hs_button + _easycom_up_popup)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "ModalShow",
  props: ["data"],
  setup(__props) {
    const props = __props;
    const show = common_vendor.ref(false);
    const onClose = () => {
    };
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y;
      return common_vendor.e({
        a: common_vendor.o(($event) => show.value = true),
        b: common_vendor.t((_a = props == null ? void 0 : props.data) == null ? void 0 : _a.emergency_description),
        c: common_vendor.t((_b = props == null ? void 0 : props.data) == null ? void 0 : _b.one_emergency_categories_name),
        d: common_vendor.t((_c = props == null ? void 0 : props.data) == null ? void 0 : _c.two_emergency_categories_name),
        e: common_vendor.t(((_e = (_d = props == null ? void 0 : props.data) == null ? void 0 : _d.asset_project) == null ? void 0 : _e.name) || "-"),
        f: common_vendor.t(((_f = props == null ? void 0 : props.data) == null ? void 0 : _f.created_at) || ""),
        g: (_g = props == null ? void 0 : props.data) == null ? void 0 : _g.emergency_location
      }, ((_h = props == null ? void 0 : props.data) == null ? void 0 : _h.emergency_location) ? {
        h: common_vendor.t((_i = props == null ? void 0 : props.data) == null ? void 0 : _i.emergency_location)
      } : {}, {
        i: (_j = props == null ? void 0 : props.data) == null ? void 0 : _j.emergency_description
      }, ((_k = props == null ? void 0 : props.data) == null ? void 0 : _k.emergency_description) ? {
        j: common_vendor.t((_l = props == null ? void 0 : props.data) == null ? void 0 : _l.emergency_description)
      } : {}, {
        k: (_m = props == null ? void 0 : props.data) == null ? void 0 : _m.emergency_cause
      }, ((_n = props == null ? void 0 : props.data) == null ? void 0 : _n.emergency_cause) ? {
        l: common_vendor.t((_o = props == null ? void 0 : props.data) == null ? void 0 : _o.emergency_cause)
      } : {}, {
        m: (_p = props == null ? void 0 : props.data) == null ? void 0 : _p.cause_result
      }, ((_q = props == null ? void 0 : props.data) == null ? void 0 : _q.cause_result) ? {
        n: common_vendor.t((_r = props == null ? void 0 : props.data) == null ? void 0 : _r.cause_result)
      } : {}, {
        o: (_s = props == null ? void 0 : props.data) == null ? void 0 : _s.supplement
      }, ((_t = props == null ? void 0 : props.data) == null ? void 0 : _t.supplement) ? {
        p: common_vendor.t((_u = props == null ? void 0 : props.data) == null ? void 0 : _u.supplement)
      } : {}, {
        q: (_v = props == null ? void 0 : props.data) == null ? void 0 : _v.related_person
      }, ((_w = props == null ? void 0 : props.data) == null ? void 0 : _w.related_person) ? {
        r: common_vendor.t((_x = props == null ? void 0 : props.data) == null ? void 0 : _x.related_person)
      } : {}, {
        s: common_vendor.f((_y = props == null ? void 0 : props.data) == null ? void 0 : _y.emergency_images, (i, index, i0) => {
          return {
            a: i == null ? void 0 : i.url,
            b: `item_${index}`
          };
        }),
        t: common_vendor.o(($event) => show.value = false),
        v: common_vendor.p({
          label: "我已知晓",
          type: "primary",
          size: "large"
        }),
        w: common_vendor.o(onClose),
        x: common_vendor.p({
          customStyle: {},
          overlayStyle: {},
          show: show.value,
          mode: "center",
          round: 20,
          closeable: false
        })
      });
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-bb598c7f"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/emergency/show/components/ModalShow.vue"]]);
wx.createComponent(Component);
